﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using System.Windows.Data;
using Telerik.Windows.Data;

namespace GridViewSelectAllRowsInExpanedeGroups
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			if (this.clubsGrid.GroupCount > 0)
			{
				// GroupRenderMode = "Nested"
				var gridViewGroupRows = this.clubsGrid.ChildrenOfType<GridViewGroupRow>().Where(row => row.IsExpanded);

				if (gridViewGroupRows.Count() > 0)
				{
					this.clubsGrid.SelectedItems.Clear();
					foreach (GridViewGroupRow row in gridViewGroupRows)
					{
						foreach (Club item in row.Items)
						{
							this.clubsGrid.SelectedItems.Add(item);
						}
					}
				}

				//// GroupRenderMode = "Flat"
				var groupHeaderRows = this.clubsGrid.ChildrenOfType<GroupHeaderRow>().Where(row => row.IsExpanded);
				if (groupHeaderRows.Count() > 0)
				{
					this.clubsGrid.SelectedItems.Clear();
					foreach (GroupHeaderRow row in groupHeaderRows)
					{
						foreach (Club item in row.GroupViewModel.Group.Items)
						{
							this.clubsGrid.SelectedItems.Add(item);
						}
					}
				}
			}
		}
	}
}
